% The Digital Signal Processing Library (DSPlib)
%==========================================================================
% KV-Lib Toolbox for MATLAB 7.x 
% Version 2.8, Apr 2008
%==========================================================================
%
% This toolbox is based on DSP development functions
% 
% For more details, please contact:
%  Dr K. Veropoulos, k_veropoulos@freemail.gr
%
%--------------------------------------------------------------------------
% The Digital Signal Processing Library (DSPlib):
%--------------------------------------------------------------------------
%
%  detpeaks       - detects peaks from a given input signal.
%
%  findPeakEdges  - finds the endpoints of a peak given any x-axis location
%                   within the peak region.
%
%  integral       - computes the integral under a signal within two given
%                   x-axis limits.
%
%  PeakArea       - used for peak integration.
%
%  fwhm           - computes the full width at half maxima of a given input
%                   signal.
%
%  RAFFT          - Spectrum alignment of spectral data to a reference
%                   using fast fourier transform correlation theorem by
%                   recursive alignment.
%
%  rec_smooth1Da  - recursive 1-D smoothing.
%
%  remNoise       - noise removal.
%
%  smooth1Da      - optimized windowed smoothing of a 1-D input signal
%                   using the Savitzky-Golay Filtering (Similar to
%                   SGOLAYFILT but 3rd order polynomial only).
%       
%
%==========================================================================
% Author: 
% K. Veropoulos (kvero@dri.edu, k_veropoulos@freemail.gr)
% for the Desert Research Institute, 
%         Division of Atmospheric Sciences
%         2215 Raggio Parkway, Reno NV 89512, USA
%
