function [alignedSpectrum, lag] = RAFFT(spectra, reference, shift, lookahead)

%	FUNCTION: [alignedSpectrum, lag] = RAFFT(spectra, reference, shift, lookahead)
%
%	Spectrum alignment of spectral data to a reference using fast fourier
%	transform correlation theorem by recursive alignment
%	
%	INPUT:	spectra	    -	Spectra to be shift corrected (D x N - where
%                           D is the number of samples, and N is number of
%                           data points.
%			reference   -	Reference spectra, (spectrum and target must be
%			                of the same length).
%           shift       -   Optional: limits maximum shift allowed for each
%                           segment.
%           lookahead   -   Optional: Allows the recursive algorithm to
%                           look-a-head to check to local misalignments.
%   OUTPUT:	
%	alignedSpectrum - resulting aligned spectra
%   lag             - the amount of resulting shift ofr each sample (Dx1  -
%                     where is the number of samples).
%
%   Author: Jason W. H. Wong
%   Date: 12 April 2005
%   License Agreement: The authors accept no responsibility for the use of
%   this code for any purpose. Please acknowledge the author if your work
%   uses this code.
%
%   Modified by K. Veropoulos
%   Date: 10 September 2007
%   Changes: output includes 'lag'.
