function [ Ynew, N ] = remNoise ( Y, windowsize, factor )
% REMNOISE 
%   usage: [ Ynew, N ] = remNoise ( Y, windowsize, factor )
%
% Noise removal based on the assumption that existing noise has zero mean
% and an estimated SD equal to the root-mean-square (RMS) of the negative
% values of the standardized signal.
%
%   INPUT  
%       Y               input signal (1D)
%       windowsize      size of sliding window
%       factor          factor by which noise is enhanced
%
%   OUTPUT
%       Ynew            standardized/denoised signal
%       N               computed noise
%
% Reference:
%     Satten, G. A., Datta, S., Moura, H., Woolfitt, A. R., Carvalho Mda, G., 
%     Carlone, G. M., De, B. K., Pavlopoulos, A.,  and Barr, J. R. (2004)
%     Standardization and denoising algorithms for mass spectra to classify
%     whole-organism bacterial specimens. Bioinformatics 20, 31283136.
%
%
% copyright 2006 by K. Veropoulos
% verop@dri.edu or k_veropoulos@freemail.gr
%
