% The Graphical User Interface Library (GUIlib)
%==========================================================================
% KV-Lib Toolbox for MATLAB 7.x 
% Version 2.8, Apr 2008
%==========================================================================
%
% This toolbox is based on GUI development functions
% 
% For more details, please contact:
%  Dr K. Veropoulos, k_veropoulos@freemail.gr
%
%--------------------------------------------------------------------------
% The Graphical User Interface Library (GUIlib):
%--------------------------------------------------------------------------
%
%  about            - opens an about dialog box with graphical logo and
%                     author information.
%
%  allowaxestogrow  - grows and resets a subplot that is selected by the
%                     mouse.
%
%  alttoolbar       - replaces default toolbar in a figure with zoom, pan,
%                     editplot and openinnewwindow buttons.
%
%  Busy             - activates the watch cursor for a figure, indicating
%                     "work in progress...".
%
%  Idle             - set the cursor back to an arrow, indicating "work
%                     completed".
%
%  formattable      - formats header and column data and displays it in a
%                     listbox.
%
%  ginput2          - graphical input from mouse with extras.
%
%  logindlg         - dialog for visually secure login.
%
%  maximize         - maximize a figure window.
%
%  plot_lines       - plots vertical lines at points defined on the x-axis
%                     using red solid lines and the current y-axis limits
%                     using a single line handle.
%
%  strwrap          - creates a multiline string based on a specified width.
%
%  titlewrap        - places a multiline title above current axis.
%
%  uitoolfactory    - creates built-in toolbar components.
%
%  interactivemouse - Interactive exploration of figures using a mouse.
%
%  zumax            - creates a new figure with a copy of a specified axis.
%
%  setWinOnTop      - sets a figure's Always On Top state on or off.
%
%==========================================================================
% Author: 
% K. Veropoulos (kvero@dri.edu, k_veropoulos@freemail.gr)
% for the Desert Research Institute, 
%         Division of Atmospheric Sciences
%         2215 Raggio Parkway, Reno NV 89512, USA
%
