function varargout = about(varargin)
%
% ABOUT - opens an about dialog box with graphical logo and author
%         information.
%
% Usage: about(abtinfo)
%
%   INPUT
%       abtinfo - structure containing information about the program
%
%
% EXAMPLE: creating the author info
%          - field names are CASE-SENSITIVE
%
%   To insert the author information for usage with the 'about' function
%   use the following example code:
%
%         abtinfo.progrName = 'MyProgram';                          % Program Name
%         abtinfo.version = '2.0.18';                               % version number
%         abtinfo.author = 'K. Veropoulos';                         % Author's Name
%         abtinfo.authurl = 'www.dri.edu/People/Kostas.Veropoulos'; % Author's URL (optional)
%         abtinfo.email = 'kvero@dri.edu';                          % Author's E-mail
%	OR    abtinfo.email = 'E-mail: kvero@dri.edu';
%         abtinfo.cright = '2006';                                  % Copyright Year
%         abtinfo.cright = 'April 2006';
%         abtinfo.company = 'Desert Research Institute';            % Company Name
%         abtinfo.compurl = 'www.dri.edu';                          % Company's URL (optional)
%         abtinfo.logo = 'C:\My Pictures\logo.jpg';                 % logo image (optional)
%
%   OR use sprintf() for more than 1 lines (max. 2 lines)
%
%         abtinfo.company = ...                            % Company Name (2 lines)
%           sprintf('Desert Research Institute\nDivision of Atmospheric Sciences');
%                                                          % Address (up to 3 lines)
%         abtinfo.address = sprintf('2215 Raggio Parkway\nReno, NV 89512\nUSA');
%
%         about(abtinfo);	% call 'about' with current information
%
%
% EXAMPLE: creating the author info (ALTERNATIVE) 
%          - field names are NOT CASE-SENSITIVE
%
%       about( 'ProgrName', 'MyProgram', ...
%              'Version', '2.0.18', ...
%              'Author', 'K. Veropoulos'
%              'E-mail', 'kvero@dri.edu', ...
%              'Copyright', '2006', ...
%              'Company', 'Desert Research Institute', ...
%              'Address', sprintf('2215 Raggio Parkway\nReno, NV 89512\nUSA'), ...
%              'Logo', 'C:\My Documents\my Pictures\logo.jpg'
%            );
%
%
% copyright 2006 by K. Veropoulos
% kvero@dri.edu or k_veropoulos@freemail.gr
