function datalabel(state,marker_color);
%datalabel       Interactive labeling of data points on a plot
%   datalabel with no arguments toggles the data tip state
%   datalabel ON turns data tips on for the current figure
%   datalabel OFF turns data tips off for the current figure
%   datalabel('ON',S), where S is a character string specifying
%     a marker and/or color will add the specified marker to
%     the data tip.  Default is red circles: 'ro'
%
%     Click on a line to label the nearest data point.
%     Click and drag on a data tip to move it.
%     Right-Click on a data tip to delete it.
%
%	  Example: 
%            t = 0:pi/50:2.5*pi;
%            y = sin(t);
%            plot(t,y);  %Try plot(y,t), too
%            datalabel on
%        %Click on lines to label values.
%        %Click and drag to move.
%        %Right click to delete.
%            datalabel off
%        %Existing data tips are locked in place; can't add more
%            datalabel('on','.b');  %Add blue dots with next data tips
%
%   smh: 5/02:  Click on text to re-position text relative to data point
%               Click on data point to move to a different value
%
% This function is provided as an example only.  It has not been
% tested, and therefore, it is not officially supported by The
% MathWorks, Inc.

% Written by Scott Hirsch
% shirsch@mathworks.com
% Most of this code comes from MOVTEXT, by John Galenski III
% (Mistakes are mine, though!)
% Copyright (c) by The MathWorks, Inc. 1985-2002
%
