function [out1,out2,out3] = ginput2(arg1, arg2)
%GINPUT2 Graphical input from mouse.
%   [X,Y] = GINPUT(N,pointer) gets N points from the current axes and returns 
%   the X- and Y-coordinates in length N vectors X and Y.  The cursor
%   can be positioned using a mouse (or by using the Arrow Keys on some 
%   systems).  Data points are entered by pressing a mouse button
%   or any key on the keyboard except carriage return, which terminates
%   the input before N points are entered. The figure pointer can be
%   dirctly specified in the second input argument using one of the
%   predefined pointer specifiers.
%
%   [X,Y] = GINPUT2 gathers an unlimited number of points until the
%   return key is pressed.
% 
%   [X,Y,BUTTON] = GINPUT(N,pointer) returns a third result, BUTTON, that 
%   contains a vector of integers specifying which mouse button was
%   used (1,2,3 from left) or ASCII numbers if a key on the keyboard
%   was used.
%
% See also GINPUT, POINTER.
%

%   modified by K.Veropoulos (kvero@dri.edu), October 2006
%   based on GINPUT, Copyright 1984-2005 The MathWorks, Inc.
