% The Mass Spectral Library (MSlib)
%==========================================================================
% KV-Lib Toolbox for MATLAB 7.x 
% Version 2.8, Apr 2008
%==========================================================================
%
% This toolbox is based on Mass Spectral I/O functions
% 
% For more details, please contact:
%  Dr K. Veropoulos, k_veropoulos@freemail.gr
%
%--------------------------------------------------------------------------
% The Mass Spectral Library (MSlib) for management of NISTMS library files:
% 	(R14SP2 and above only)
%--------------------------------------------------------------------------
%
%  ReadMSLib  		- Read a MSP, SDF, CSV or MAT-file formatted MS library
% 			  			  into a Matlab variable.
%
%  WriteMSLib 		- Write a Matlab structured variable containing MS info 
% 						  into a MSP, SDF, CSV or MAT-file formatted file.
%
%  ShowLibContent   - Simple interface to display the contents of a MS or
%                         Target Compound reference library.
%
%  MSLibMan   		- (MS Library Manager). Import/export MS info from and to
% 						  MSP, SDF, CSV, MAT-file or Matlab structures.
%       
%  MSscore          - (MS similarity score). Computes the Mass Spectral
%                         similarity between two different spectra based on
%                         a number of different methods available to the
%                         user.
%
%  getTCData        - (get Target Compound Data). Identifies and extracts
%                         the target compound data (retention time and mass
%                         spectrum) in a given sample based on information
%                         stored in a library.
%
%  TCid_quant       - (Target Compound identify and quantify). Identifies
%                         and quantifies target compounds in a given sample
%                         based on information stored in a library. This
%                         function makes use of 'getTCData'.
%
%  MSLibMatch 		- (MS Library Matching). Compute Mass Spectral 
% 						  similarities between a single spectrum and mass
% 						  spectra stored in a library file. The score
% 						  calculations are based on a number of different
% 						  methods available to the user.
%       
%
%==========================================================================
% Author: 
% K. Veropoulos (kvero@dri.edu, k_veropoulos@freemail.gr)
% for the Desert Research Institute, 
%         Division of Atmospheric Sciences
%         2215 Raggio Parkway, Reno NV 89512, USA
%
