function posidx = ShowLibContent ( MSLib, mode, pos )
%SHOWLIBCONTENT displays the contents of a Mass Spectral or Target Compound
%reference library and returns the index to a selected compound. The fields
%that are displayed are:
%
%   Library Entry Number (#)
%   Compound Name
%   Quantifying Ion
%   Expected Retention Time
%   Lower Quantifiable Limit
%
% USAGE:    posidx = ShowLibContent ( MSLib, mode, pos )
%
% INPUT:    MSLib   the library variable containing the compounds; function
%                   'ReadMSLib' can be used to construct this variable.
%           mode    windowstyle mode ('normal' or 'modal'; default: 'modal')
%           pos     index of the initial highlighted compound
%
% OUTPUT:   posidx  the index of the selected compound; this will be:
%                   different than pos 	if the user selects a different
%                                       compound and presses the selection
%                                       button
%                   the same as pos     if the user cancels the program
%
% EXAMPLE:
%
%   MSLib = ReadMSLib('','plane');
%   idx = ShowLibContent(MSLib, 'normal', 8);
%
%
% See also: ReadMSLib, MSLibMan, TCLibMan
%
%
% K. Veropoulos
% kvero@dri.edu or k_veropoulos@freemail.gr
%
