function scaled = Scale2(Data, range)
% SCALE scales the elements of all the column vectors in
% the range of [Lower Upper]. (default [-1 1])
%
% USAGE:    scaled = Scale(Data, range);
% 
% INPUT:    Data    the MxN data matrix to be scaled (M samples x N
%                   variables to do a feature-based scaling; use transpose
%                   to do a sample-based scaling).
%           range   a 1x3 cell array containing the Lower and Upper target
%                   limits of the scaling in the first element and the
%                   minimum and maximum values of each variable (or each
%                   sample if transposed Data is used) in the second and
%                   third elements, respectively; this variable is the
%                   output of 'Scale' function and the minimum and maximum
%                   values are based on the scaling of another data set
%                   which is typically the training set.
%
% OUTPUT:   scaled  the resulting scaled data.
%
%
% See also: SCALE
%
% K. Veropoulos
% kvero@dri.edu or k_veropoulos@freemail.gr
