function [ Rc, Wx, Wy ] = cca( X, Y, lambda, c )
%CCA calculates the canonical correlation function coefficients for two
%given variable sets X and Y.
%
% INPUT:         X - criterion (or independent) variable set as a (p x n) matrix
%                Y - predictor (or dependent) variable set as a (q x n) matrix
%           lambda - regularization parameter (0..1]
%
% OUTPUT:       Rc - canonical correlations
%               Wx - canonical correlation function for variable set X
%               Wy - canonical correlation function for variable set Y
%
% See also: SVD, SVDS, PRINCOMP, PCACOV, PCARES, PCAS, KPCA, PCATK,
%           CANONCORR, KCCA, KCCA2
%
%
% K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
