function FeatSelection = featsels(x,y,sepfcn)
%FEATSELS calculates a discrimination score for each feature (variable) in
%the sample set 'x'.
%
% USAGE:    FeatSelection = featsels ( x, y )
%
% INPUT:    x - input samples (a MxN matrix of N samples of M variables)
%           y - target values for each sample (a Nx1 matrix of N target
%               values)
%
% OUTPUT:   FeatSelection - a Mx2 matrix containing 2 columns: column 1
%                           contains the features' indices in descending
%                           order of discriminative significance (from the
%                           most discriminant to the least discriminant
%                           feature) and column 2 contains the
%                           discrimination scores for all features in the
%                           same order
%
% See also: CSVM_FS
%
%
% K. Veropoulos
% kvero@dri.edu or k_veropoulos@freemail.gr
