function [V,L,TrainFeat] = kpca1(Ktr,k)
% KPCA1 function
%
% Performs the Kernel PCA on 'Ktr' as a single eigenvalue problem 
% using the 'k' largest magnitude principal components.
%
% INPUT:
%   Ktr         kernel matrix of training set
%   k           number of largest magnitude principal components to use
%
% OUTPUT:
%   V           the principal components (eigenvectors) of the system
%   L           the eigenvalues of the system
%   TrainFeat   the training set after the KPCA transformation
%
% See also: SVD, SVDS, EIG, EIGS, EIGS2, PRINCOMP, PCAS, PCACOV, PCARES,
%           KPCA2, PCATK, CANONCORR, CCA, KCCA, KCCA2, KERNEL_MAT
%
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
