function [ Tact ] = mindist( X, Y, Tx, Ty, classes )
%MINDIST calculates the distance between each test sample in Y and
%the spaces calculated using the training set X. It then builds a result
%matrix result_mat based on the space closest to the test sample (minimum
%distance)
%
% INPUT:     X - training samples as a (p x m) matrix, where m is the
%                number of training samples.
%            Y - test samples as a (q x n) matrix, where n is the number of
%                test samples.
%           Tx - Training targets as a (1 x m) matrix.
%           Ty - Test targets as a (1 x n) matrix
%      classes - number of classes
%
% OUTPUT:   Tact - actual classes
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
