function [ eltime, varargout ] = fulletime ( t_start )
%fulletime compute the elapsed time in years, months, days, hours, minutes
%and seconds from a given starting point in time ('t_start').
%
% Usage: [ eltime, t_end ] = fulletime ( t_start )
%
% INPUT
%   t_start     starting time as date vector; if 't_start' is given as the
%               current time in date vector format, then 'hmsetime'
%               reports current time only (see example below). 
%
% OUTPUT
%   eltime      a vector containing the elapsed time from 't_start' to
%               current time in years, months, days, hours, mins, secs
%   t_end       ending time as date vector (current time)
%
% EXAMPLE
%           t_start = clock;
%           % .... rest of the code
%           [eltime, t_end] = fulletime(t_start);
%
%           % or
%           % to report task's current completion time
%           fulletime(clock);
%           
% See also: HMSETIME, CLOCK, ETIME, TIC, TOC
%
%
% K. Veropoulos
% kvero@dri.edu or k_veropoulos@freemail.gr
